.index-card, .post-prevnext .article-item {
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.index-card:hover, .post-prevnext .article-item:hover {
    transform: translateY(-8px);
    box-shadow: 0 12px 20px rgba(0, 0, 0, 0.15);
}

.navbar-brand:hover, 
#subtitle:hover {
    background-image: linear-gradient(to right, #ff0000, #ff7f00, #ffff00, #00ff00, #0000ff, #4b0082, #8b00ff, #ff0000);
    background-size: 200% auto;
    color: transparent !important;
    -webkit-background-clip: text;
    background-clip: text;
    animation: waveEffect 2s linear infinite;
}

@keyframes waveEffect {
    0% { background-position: 0% center; }
    100% { background-position: 200% center; }
}

.home-social {
    display: inline-block;
    transition: transform 0.3s ease-in-out;
}

.home-social:hover {
    transform: scale(1.3);
}

#subtitle {
    font-size: 2.5rem !important;
}

.board {
    background-color: transparent !important;
    box-shadow: none !important;
}

.index-card {
    background-color: #fff;
    border-radius: 12px;
    margin-bottom: 24px !important;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    border: none;
}

.index-card hr {
    display: none;
}

#reading-progress {
    position: fixed;
    top: 0;
    left: 0;
    width: 0%;
    height: 3px;
    background-color: #ff0000;
    z-index: 99999;
}


::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(144, 147, 153, 0.5);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: rgba(144, 147, 153, 0.8);
}

::-webkit-scrollbar-track {
    background: transparent;
}